diff --git a/src/tools/msvc/vcregress.pl b/src/tools/msvc/vcregress.pl
index 6196383..cfbdea1 100644
--- a/src/tools/msvc/vcregress.pl
+++ b/src/tools/msvc/vcregress.pl
@@ -158,12 +158,11 @@ sub isolationcheck
 {
 	chdir $startdir;
 
-	InstallTemp();
 	chdir "${topdir}/src/test/isolation";
 
 	my @args = (
 		"${tmp_installdir}/bin/pg_isolation_regress",
-		"--bindir=${tmp_installdir}/bin",
+		"--bindir=${topdir}/${Config}/psql",
 		"--inputdir=.",
 		"--schedule=./isolation_schedule");
 	push(@args, $maxconn) if $maxconn;
@@ -176,7 +175,6 @@ sub plcheck
 {
 	chdir $startdir;
 
-	InstallTemp();
 	chdir "${topdir}/src/pl";
 
 	foreach my $pl (glob("*"))
@@ -215,7 +213,7 @@ sub plcheck
 		print "Checking $lang\n";
 		my @args = (
 			"${tmp_installdir}/bin/pg_regress",
-			"--bindir=${tmp_installdir}/bin",
+			"--bindir=${topdir}/${Config}/psql",
 			"--dbname=pl_regression", @lang_args, @tests);
 		system(@args);
 		my $status = $? >> 8;
@@ -278,7 +276,7 @@ sub subdircheck
 	print "Checking $module\n";
 	my @args = (
 		"${tmp_installdir}/bin/pg_regress",
-		"--bindir=${tmp_installdir}/bin",
+		"--bindir=${topdir}/${Config}/psql",
 		"--dbname=contrib_regression", @opts, @tests);
 	system(@args);
 	my $status = $? >> 8;
@@ -290,7 +288,6 @@ sub subdircheck
 
 sub contribcheck
 {
-	InstallTemp();
 	chdir "$topdir/contrib";
 	foreach my $module (glob("*"))
 	{
@@ -310,7 +307,6 @@ sub contribcheck
 
 sub modulescheck
 {
-	InstallTemp();
 	chdir "$topdir/src/test/modules";
 	foreach my $module (glob("*"))
 	{
